import 'package:flutter/material.dart';
import 'package:neon/src/theme/sizes.dart';

class NeonGroupAvatar extends StatelessWidget {
  const NeonGroupAvatar({
    this.icon = Icons.group,
    this.backgroundColor,
    this.foregroundColor,
    super.key,
  });

  final IconData icon;
  final Color? backgroundColor;
  final Color? foregroundColor;

  @override
  Widget build(final BuildContext context) => CircleAvatar(
        radius: smallIconSize,
        backgroundColor: backgroundColor,
        child: Icon(
          icon,
          color: foregroundColor,
          size: smallIconSize,
        ),
      );
}
